Subject: Re: [PATCH 0/6] AsciiDoc vs Asciidoctor, once again

From: Felipe Contreras <[email-masked]>
Date: Fri, 14 May 2021 15:11:41 -0500

Martin Ågren wrote:
> On Fri, 14 May 2021 at 14:24, Felipe Contreras
> <[email-masked]> wrote:
> >
> > Martin Ågren wrote:
> > > On Fri, 14 May 2021 at 03:40, Felipe Contreras
> > > <[email-masked]> wrote:
> > >
> > > > We should be submitting bug reports to the asciidoctor project as well,
> > > > so in the future it's less likely we find ourselves in the same
> > > > scenario.
> > > >
> > > > Preferably the bug report should be in the commit message.
> > >
> > > I don't have an account with the website they use for their issue
> > > tracking.
> >
> > GitHub? It probably takes a couple of minutes to set up an account.
> 
> Yes, it's GitHub. I'm not interested in having an account there. There's
> some trade-off there with me not being able to report bugs, but that
> cuts both ways, so I don't feel bad about it.

I don't see what are those both ways, but OK.

> > > If you want to submit a bug report and post the link here,
> > > that's fine by me and I'll include it in the reroll.
> >
> > If you would rather have me act as a proxy, that's fine by me.
> 
> Thanks. If you have better things to do, no worry.

I do, but reporting bugs doesn't that *that* much time.

> > Just give me a simple example that produces the issue.
> 
> Here are three variants where AsciiDoc 8.6.10 renders the same, with
> emphasis:
> 
>   single quotes that will not render literally: 'git cat-file'.
> 
>   single quotes that won't render literally: 'git cat-file'.
> 
>   single quotes that\'ll render literally: 'git cat-file'.
> 
> With Asciidoctor (2.0.15),
> 
>   asciidoctor -b docbook5 -d manpage -o test.xml test.txt
> 
> the XML contains

I'm not talking about the XML, I'm talking about the man pages. I'm not
interested in intermediary code, I'm interested in the final output,
which does seem to work correctly:

  ruby -r asciidoctor <<\EOF
  puts Asciidoctor.convert(<<REOF, backend: :manpage)
  single quotes that will not render literally: 'git cat-file'.
  single quotes that won't render literally: 'git cat-file'.
  single quotes that\'ll render literally: 'git cat-file'.
  REOF
  EOF

  single quotes that will not render literally: \(aqgit cat\-file\(aq.
  single quotes that won\(cqt render literally: \(aqgit cat\-file\(aq.
  single quotes that\(cqll render literally: \(aqgit cat\-file\(aq.

Cheers.

-- 
Felipe Contreras